# Poco::Net

# class PartStoreFactory

Library: Net
Package: Messages
Header: Poco/Net/PartStore.h

## Description

Parent factory class for part stores creation.

## Inheritance

Known Derived Classes: FilePartStoreFactory

## Member Summary

Member Functions: createPartStore

## Member Functions

### createPartStore

virtual PartSource * createPartStore(
const std::string & content,
const std::string & mediaType,
const std::string & filename = ""
) = 0;